Bug 506983 - Cannot access gallery2 installation
Cannot access gallery2 installation
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gallery2 (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-19 12:39 EDT by josh.kayse
Modified: 2009-07-22 18:07 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2.3-13.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-02 01:43:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description josh.kayse 2009-06-19 12:39:20 EDT
Description of problem:
A default installation of gallery2 performed by:
$ su -c 'yum install gallery2'
cannot be accessed.  Going to http://localhost/gallery2 results in:
Fatal error: Class 'GalleryCoreApi' not found in /usr/share/gallery2/modules/core/classes/GallerySession.class on line 29


Version-Release number of selected component (if applicable):
gallery2-2.3-11.fc11.noarch

How reproducible:
Always

Steps to Reproduce:
1. yum install gallery2
2. connect to http://localhost/gallery2
3. retrieve error
  
Actual results:
Fatal error: Class 'GalleryCoreApi' not found in /usr/share/gallery2/modules/core/classes/GallerySession.class on line 29

Expected results:
Installer shows up

Additional info:
Adding require_once($g2Base . '/modules/core/classes/GalleryCoreApi.class'); to the top of /usr/share/gallery2/install/index.php seems to fix it.
--- index.php   2009-06-19 11:24:29.712328365 -0400
+++ index.php.new       2009-06-19 11:20:22.318136019 -0400
@@ -47,6 +47,7 @@ $g2Base = dirname(dirname(__FILE__)) . '
 require_once($g2Base . 'install/GalleryStub.class');
 require_once($g2Base . 'install/InstallStep.class');
 require_once($g2Base . 'install/StatusTemplate.class');
+require_once($g2Base . '/modules/core/classes/GalleryCoreApi.class');
 require_once($g2Base . 'modules/core/classes/GalleryUtilities.class');
 require_once($g2Base . 'modules/core/classes/GalleryDataCache.class');
 require_once($g2Base . 'lib/support/GallerySetupUtilities.class');
Comment 1 Gwyn Ciesla 2009-06-19 13:31:42 EDT
Updated build on the way.
Comment 2 Fedora Update System 2009-06-19 14:49:51 EDT
gallery2-2.3-13.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gallery2-2.3-13.fc11
Comment 3 Fedora Update System 2009-06-19 14:49:57 EDT
gallery2-2.3-13.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/gallery2-2.3-13.fc10
Comment 4 Fedora Update System 2009-06-19 14:50:01 EDT
gallery2-2.3-13.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/gallery2-2.3-13.fc9
Comment 5 Fedora Update System 2009-06-24 15:18:21 EDT
gallery2-2.3-13.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gallery2'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-6935
Comment 6 Fedora Update System 2009-06-24 15:26:11 EDT
gallery2-2.3-13.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update gallery2'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-6822
Comment 7 Fedora Update System 2009-06-24 15:37:50 EDT
gallery2-2.3-13.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gallery2'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6926
Comment 8 Fedora Update System 2009-07-02 01:43:24 EDT
gallery2-2.3-13.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2009-07-02 01:43:34 EDT
gallery2-2.3-13.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2009-07-02 01:52:32 EDT
gallery2-2.3-13.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Stou Sandalski 2009-07-12 03:19:13 EDT
This is also an issue when 'upgrading' adding:

require_once($g2Base . 'modules/core/classes/GalleryCoreApi.class');

To /usr/share/gallery2/upgrade/index.php fixed the problem.

Also note that the '/' at the start of the path for the install/index.php fix suggested by the original reporter of this bug is unnecessary.

Another minor issue for which I'd rather not open a separate bug report:

The 'upgrade.css' link in:
/usr/share/gallery2/upgrade/templates/MainPage.html

should be changed to (without the construct url call):
<link rel="stylesheet" type="text/css" href="upgrade.css"/>

or the CSS on the gallery upgrade wizard is broken.

There appears to be some problem with the logo display on the upgrade wizard page as well.
Comment 12 Kjell.Randa@broadpark.no 2009-07-16 21:53:52 EDT
I see the same on FC10
After upgrading to gallery2-2.3-13.fc10.noarch and accessing the upgrade link I only get a blank screen.

In /var/log/httpd/error_log the following is logged:
[Fri Jul 17 03:26:14 2009] [error] [client 192.168.1.11] PHP Fatal error:  Class 'GalleryCoreApi' not found in /usr/share/gallery2/modules/core/classes/GallerySession.class on line 29
Comment 13 Gwyn Ciesla 2009-07-17 07:59:23 EDT
I thought this had been patched, and it was, but only in the installer, not the upgrader.  An update will be forthcoming.  Thank you!
Comment 14 Fedora Update System 2009-07-17 09:52:23 EDT
gallery2-2.3-14.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gallery2-2.3-14.fc11
Comment 15 Fedora Update System 2009-07-17 09:52:27 EDT
gallery2-2.3-14.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/gallery2-2.3-14.fc10
Comment 16 Fedora Update System 2009-07-22 17:40:41 EDT
gallery2-2.3-14.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2009-07-22 18:07:27 EDT
gallery2-2.3-14.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.